<?php
/**
* @author:  Bunzia Alexander <nifus@mail.ru> <http://www.weblancer.net/users/nifus/>
* @copyright: Copyright (c) 2010, Bunzia Alexander
* @version: 1.0
* @license: http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @package HiLo CMS
*/

if ( defined("ru_base_lang") ){
	return FALSE;
}
define("ru_base_lang", 1);

	//	r_index.php
define('HEADER_BLOCKS','Верхние блоки');	
define('RIGHT_BLOCKS','Правые блоки');
define('FOOTER_BLOCKS','Нижние блоки');
define('LEFT_BLOCKS','Левые блоки');
define('CENTER_BLOCKS','Центральные блоки');

define('E_EMPTY_PAGE','Ошибка: нет страницы "%s" в базе данных!');
define('E_NOACTIVE_PAGE','Ошибка: страница "%s" неактивна!');
define('E_NOFOUND_TMPL','Ошибка: шаблон "%s" не существует!');
define('M_WORK_END','Страничка сгенерирована!');


	//	functions.php
define('F_ACCESS_CLOSE','Доступ закрыт');	
define('F_NOT_FOUND','Нет файла');	
define('F_CANT_OPEN_CONNECT','Не могут открыть соединение %s');	
define('F_BAD_ANSWER',"Сервер вернул неизвестный ответ:\n\r %s");	
define('F_BYTE',"%s байт");
define('F_KB_BYTE',"%s кб.");
define('F_MB_BYTE',"%s мб.");
define('F_MONTH_1','Январь');
define('F_MONTH_2','Февраль');
define('F_MONTH_3','Март');
define('F_MONTH_4','Апрель');
define('F_MONTH_5','Май');
define('F_MONTH_6','Июнь');
define('F_MONTH_7','Июль');
define('F_MONTH_8','Август');
define('F_MONTH_9','Сентябрь');
define('F_MONTH_10','Октябрь');
define('F_MONTH_11','Ноябрь');
define('F_MONTH_12','Декабрь');

define('F_MONTH_SP_1','Января');
define('F_MONTH_SP_2','Февраля');
define('F_MONTH_SP_3','Марта');
define('F_MONTH_SP_4','Апреля');
define('F_MONTH_SP_5','Мая');
define('F_MONTH_SP_6','Июня');
define('F_MONTH_SP_7','Июля');
define('F_MONTH_SP_8','Августа');
define('F_MONTH_SP_9','Сентября');
define('F_MONTH_SP_10','Октября');
define('F_MONTH_SP_11','Ноября');
define('F_MONTH_SP_12','Декабря');

//===============CLASSES=======================//

	//	class.cms.php
define('E_CMS_EMPTY_CONFIG','Ошибка: переменная "%s" в конфиге не определена!');
define('E_CMS_EMPTY_CACHE','Ошибка: переменная "%s" в кэше не определена!');
define('M_WORK_MODULE_END','Работа модуля завершена!');
define('E_EMPTY_MODULE_CLASS','Ошибка: нет класса "%s" !');
define('E_EMPTY_METODGET','Ошибка: в класса %s не определён метод "GET" !');
define('M_BLOCK_DATA_ERROR','Страница ссылается на несуществующий блок <pre>&s</pre>!');
define('M_CMS_BEGIN_BLOCK','Начало генерации блока "%s"');
define('M_CMS_END_BLOCK','Конец генерации блока  %s');
define('M_CMS_BLOCK_ACCESS_ERROR','Блок "%s" запрещён к показу для вашей группы!');
define('M_CMS_BLOCKS_GENERATED','Блоки сгенерированы!');
define('M_CMS_FUNCTION_NO','Функция "%s" не определена!');
define('M_CMS_BLOCKS_ERROR','Ошибка в блоке "%s"!');


	//	class.mysql.php
define('E_DATABASE_CONNECT','Ошибка соединения с базой данных!');
define('E_DATABASE_SELECT','Ошибка выбора базы данных!');
define('E_EMPTY_TABLE','Ошибка: не указана основная таблица для запроса!');
define('E_EMPTY_TABLE_ALIAS','Ошибка: не указан алиас основной таблицы для запроса!');
define('E_EMPTY_PARAMETRS','Ошибка: список полей в sql запросе пуст!');
define('E_EMPTY_COUNT_ROWS','Ошибка: количество выводимых в запросе строк должно быть больше 0!');

define('E_EXECUTE_QUERY','Ошибка выполнения запроса <pre>%s</pre> <p><b>%s!</b></p>');
define('M_SLOW_EXECUTE_QUERY','Найден медленный запрос <pre>%s</pre>!');
define('M_EXECUTE_QUERY','Запрос <pre>%s</pre> выполнен за %s!');
define('DATABASE','Запросы');



define('E_EMPTY_CLASS_PAGE','Ошибка: не определена переменная MAIN_PAGE!');
define('E_INCULUDE_FILE','Ошибка: нет файла "%s"!');
define('E_500_MSG','Критическая ошибка');


	//	class.parser.php
define('E_PARSER_LOAD_FILE','Не найден шаблон: "%s"');
define('E_PARSER_EX','Внутренняя ошабка парсера');
define('M_TMPL_LOAD','Загружен шаблон: "%s" ');
define('E_PARSER_IN','Ошибка интерпритации шаблона!');
define('PARSER_MSG','шаблоны');
define('E_PARSER_TMPL_EMPTY','Попытка установить перменную в несуществующий шаблон: "%s"');
define('E_PARSER_TMPL_VAR_EMPTY','Переменная "%s" не инициализрованна!');

	//	index.php
define('M_MORE_FILES','Ошибка: найдено более одного файла "%s" в директории "%s"!');	
define('M_PAGES_NO','Ошибка: шаблон для файла "%s" не найден!');	
define('M_FUNCTION_NO','Ошибка: в шаблоне "%s" не определена функция "%s"!');
define('M_BLOCK_ERROR','Ошибка "%s" генерации блока!');






	//	class.upload.php
define('E_UPLOAD_IMAGE','нужно выбрать файл( кнопка "Обзор...")');
define('E_UPLOAD_IMAGE_SIZE','Ошибка: слишком большой размер файл!');
define('E_UPLOAD_ERROR_EXT','Ошибка: такой тип файлов запрещён к загрузке!');

define('E_UPLOAD_DEL_IMAGE_ERROR','Ошибка: не выбран файл для удаления!');
define('E_UPLOAD_NOT_FILE','Ошибка: такого файла не существует!');

define('E_UPLOAD_IMAGE_TYPE','загрузить можно только изображения в форматах JPG(JPEG),GIF,PNG');
define('E_UPLOAD_IMAGE_U','неизвестная ошибка загрузки файла');
define('E_UPLOAD_BIG_IMAGE','размер загружаемого файла слишком велик!');
define('E_UPLOAD_ERROR_SIZE','Ошибка: максимальный размер: %sх%s');


define('E_ACCESS_ACT','у вас нет прав на выполнение этого действия!');

define('F_YESTERDAY','вчера');
define('F_TODAY','сегодня');


/*

*/

define('F_MONTH_EN_1','January');
define('F_MONTH_EN_2','February');
define('F_MONTH_EN_3','March');
define('F_MONTH_EN_4','April');
define('F_MONTH_EN_5','May');
define('F_MONTH_EN_6','June');
define('F_MONTH_EN_7','July');
define('F_MONTH_EN_8','August');
define('F_MONTH_EN_9','September');
define('F_MONTH_EN_10','October');
define('F_MONTH_EN_11','November');
define('F_MONTH_EN_12','December');

define('F_NO_WRITEBLE','Ошибка: файл "%s" недоступен для записи!');
define('F_OPEN_ERROR','Ошибка: файл "%s" невозможно открыть!');
define('F_WRITE_ERROR','Ошибка: файл "%s" невозможно записать!');

	//	class.comments.php
define('CC_CMESSAGE_EMPTY','Ошибка: нужно заполнить поле "Сообщение" !');	
define('CC_ID_EMPTY','Ошибка: не выбран объект для комментария!');	
define('CC_CMESSAGE_SMALL_SIZE_ERROR','Ошибка: сообщение должно быть больше 2 символов!');	
define('CC_CMESSAGE_BIG_SIZE_ERROR','Ошибка: сообщение не должен превышать 5120 символов!');
define('CC_ACCESS_ERROR','Ошибка: вам нельзя добавлять сообщения!');
define('CC_CAPTCHA_FALSE','Ошибка: неверно указан код с картинки!');
define('CC_EMAIL_FALSE','Ошибка: E-Mail указан неверно!');

	//	class.pagenav.php
define('CP_PREVIOUS','Назад');	
define('CP_NEXT','Вперёд');	

	//class.mail.php
define('E_MAIL_TYPE_EMPTY','Ошибка: не указан тип письма');
define('E_MAIL_TYPE_FALSE','Ошибка:  указанный тип письмем в системе не зарегестрированн');
define('E_MAIL_EMAIL_FALSE','Ошибка: указанный E-mail имеет неправильный формат');
define('E_MAIL_SEND_FALSE','Ошибка отправки письма по адресу %s');

	//class.member.php
define('E_USERS_LOGIN_FALSE','Ошибка: логин пользователя содержит запрещённые символы!');
define('E_USERS_LOGIN_FALSE_LENGTH','Ошибка: логин пользователя имеет неправильную длину!');
define('E_USERS_LOGIN_EMPTY','Ошибка: логин пользователя является обязательным для заполнения!');
define('E_USERS_LOGIN_DUBLE','Ошибка: пользователь с таким логином уже зарегистрирован на сайте!');
define('E_USERS_PASS_EMPTY','Ошибка: пароль пользователя является обязательным для заполнения!');
define('E_USERS_PASS_FALSE_LENGTH','Ошибка: пароль должен иметь длину не менее 5 символов!');
define('M_USERS_EMAIL_EMPTY','Ошибка: e-mail пользователя является обязательным для заполнения!');
define('M_USERS_EMAIL_FALSE','Ошибка: e-mail пользователя имеет неправильный формат!');
define('M_USERS_EMAIL_DUBLE','Ошибка: пользователь с таким e-mail уже зарегистрирован на сайте!');

	//class.query.php

define('E_DATABASE_EMPTY_TABLE', 'Ошибка: не было передано название таблицы');
define('E_DATABASE_EMPTY_ALIAS', 'Ошибка: в класс query не был передан алиас таблицы');
define('E_DATABASE_EMPTY_PARAMETRS','Ошибка: в класс query не были переданы названия столбцов выбираемых из базы данных!');
define('E_DATABASE_EMPTY_COUNT_ROWS','Ошибка: в метод set_count_rows не была передано количество выводимых строк');
define('E_DATABASE_EMPTY_LINK_KEY', 'Ошибка: в класс query не был передан общий столбец');
define('E_DATABASE_EMPTY_ALIAS_NAME', 'Ошибка: для таблицы %s не был найден алиас');

	//	class.ns_tree.php
define('E_NSTREE_BAD_PARENT','Ошибка: Неправильно указан родитель!');
define('E_NSTREE_EMPTY_ALIAS','Ошибка: не создан алиас!');

	//	общие
define('E_PARSING','Ошибка парсинга шаблона "%s"!');
define('E_EMPTY_VAR','Ошибка: переменная не определена');	
define('E_NOT_VAR','Ошибка: имя переменной не передано');	
define('A_NOT_VAR',E_NOT_VAR);	

define('E_EMPTY_ID','Ошибка:  индексная переменная пуста');	

define('E_EMPTY_ARRAY','Ошибка:  массив пуст');
define('SITE','Сайт');
define('ADMIN_PAGE','Админка');
define('TITLE','Заголовок');
define('AUTHOR','Автор');
define('DATE','Дата');
define('ACTION','Действие');
define('SAVE','Сохранить');
define('CLOSE','Закрыть');
define('ADD','Добавить');
define('MOD_SAVE','Изменения сохранены');
define('MOD','Измененить');
define('EMPTY_ID','Ошибка: не указан номер записи!');
define('DELETE','Удалить');
define('EDIT','Редактировать');
define('NAME','Название');
define('CONTENT','Содержимое');
define('WAIT','Запрос обрабатывается ...');
define('NO_RECORDS','Нет подходящих записей');
define('A_EMPTY_ID','Ошибка: запись не найдена!');
define('TAGS','Теги');
define('CONFIRM','Одобрить');
define('DEL_RECORD','Удалить запись?');
define('SHOW_ALL','Показать все');
define('MAIN','Главная');
define('YES','Да');
define('NO','Нет');
define('PROJECT_NAME','Creatorex');
define('NO_ACCESS','Нет доступа');
define('NO_ACCESS_MSG','<p>Только зарегистрированные пользователи могут добавлять новые материалы на сайт.</p><p><a href="%s">Вход на сайт</a></p><p>Нет учетной записи? <a href="%s">Зарегистрируйтесь</a></p>');
define('E_GO_SAVE','Идёт сохранение...');	

	//	class.img.php
define('E_IMG_FILE_NOT_FOUND','Ошибка: файл "%s" не найден!');
define('E_IMG_FILE_IS_NO_IMAGE','Ошибка: файл "%s" не является изображением!');
define('E_IMG_FILE_BAD_TYPE','Ошибка: неизвестный тип файла "%s"!');
define('E_IMG_EMPTY_TYPE','Ошибка: нужно задать тип файла!');
define('E_IMG_BAD_MIME','Ошибка: неизвестный  mime-type "%s"!');
define('E_IMG_EMPTY_NAME','Ошибка: нужно задать имя для файла!');
define('E_IMG_BAD_NAME','Ошибка: имя файла содержит запрещённый символы!');
define('E_IMG_EMPRY_PATH','Ошибка: нужно указать директорию для сохранения результата!');
define('E_IMG_BAD_PATH','Ошибка: "%s" не является директорией !');
define('E_IMG_PATH_WRITE_ACCESS','Ошибка: запись в директорию "%s" запрещена !');
define('E_IMG_EMPTY_SIZE','Ошибка: нужно задать ширину или высоту изображения!');
define('E_IMG_CREATE_FALSE','Ошибка: изображение не создано!');

  //  class.html.php
define('E_HTML_EDIT_EMPTY','Ошибка: нужно указать название редактора!');  
define('E_HTML_EDIT_NOTFOUND','Ошибка: редактор "%s" не найден!');  

	//	class.comments.php
define('E_COMMENTS_EMPTY_MESSAGE','Ошибка: нужно написать комментарий!');
define('E_COMMENTS_EMPTY_OBJ','Ошибка: материал не выбран!');
define('E_COMMENTS_EMPTY_LOGIN','Ошибка: логин пользователя не указан!');
define('E_COMMENTS_EMPTY_ID','Ошибка: ID пользователя не указан!');
?>
